﻿* Encoding: UTF-8.

* Granic et al 2020: Immunosenescence profiles, muscle strength, physical performance and sarcopenia in the NC85+ Study' 

*Compute and examine immunosenescence-like biomarkers/variables to be included in clustering* 

COMPUTE Memory_CD8_Tcells=SUM(ph1_UpperCD8Memory_immuno, ph1_LowerCD8Memory_immuno).
VARIABLE LABELS  Memory_CD8_Tcells 'memory CD8 T cells '.
EXECUTE.

COMPUTE Naive_CD8_Tcells=SUM(ph1_UpperCD8Naïve_immuno, ph1_LowerCD8Naïve_immuno).
VARIABLE LABELS  Naive_CD8_Tcells 'Naive CD8 T cells '.
EXECUTE.

COMPUTE CD8_TEMRA=SUM(ph1_CD27ROCD8Interm_B_immuno, ph1_CD27ROCD8Interm_immuno).
VARIABLE LABELS  CD8_TEMRA 'CD8 TEMRA'.
EXECUTE.

EXAMINE VARIABLES=ph1_Leukocytes_immuno ph1_Bcells_immuno ph1_MemoryBcells_immuno 
    ph1_NaïveBcells_immuno ph1_NKcells_immuno ph1_NKTcells_immuno ph1_CD4Tcells_immuno 
    ph1_NaïveCD4_immuno ph1_SenesctNaïveCD4_immuno ph1_MemoryCD4_immuno ph1_SenescMemoryCD4_immuno 
    ph1_TotalCD8Tcells_immuno ph1_UpperCD8Tcells_immuno ph1_UpperCD8Memory_immuno 
    ph1_UpperCD8Naïve_immuno ph1_CD27ROCD8Interm_immuno ph1_LowerCD8Memory_immuno 
    ph1_LowerCD8Naïve_immuno ph1_CD27ROCD8Interm_B_immuno Memory_CD8_Tcells Naive_CD8_Tcells CD8_TEMRA
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING PAIRWISE
  /NOTOTAL.

COMPUTE CD4_CD8_ratio=ph1_CD4Tcells_immuno / ph1_TotalCD8Tcells_immuno.
VARIABLE LABELS  CD4_CD8_ratio 'ratio CD4/CD8'.
EXECUTE.

COMPUTE VAR = (ph1_Leukocytes_immuno)**30. 
VARIABLE LABELS  VAR 'Leukocytes30'.
EXECUTE.
DESCRIPTIVES
    VARIABLES=VAR   
    /STATISTICS=MEAN STDDEV MIN MAX SKEWNESS. 

CORRELATIONS
  /VARIABLES=ph1_NKcells_immuno ph1_CD4Tcells_immuno ph1_NaïveCD4_immuno ph1_TotalCD8Tcells_immuno 
    LeukoCUB Bcellslog10 MemoryBcellslog10 NaiveBcellslog10 NKTcellslog10 SenesNaiveCD4log10 
    MemoryCD4log10 SenescentMemoryCD4SQR CD4CD8ratiolog10 CD8TEMRAlog10 NaiveCD8Tlog10 MemoryCD8Tlog10
  /PRINT=TWOTAIL NOSIG
  /STATISTICS DESCRIPTIVES
  /MISSING=LISTWISE.
NONPAR CORR
  /VARIABLES=ph1_NKcells_immuno ph1_CD4Tcells_immuno ph1_NaïveCD4_immuno ph1_TotalCD8Tcells_immuno 
    LeukoCUB Bcellslog10 MemoryBcellslog10 NaiveBcellslog10 NKTcellslog10 SenesNaiveCD4log10 
    MemoryCD4log10 SenescentMemoryCD4SQR CD4CD8ratiolog10 CD8TEMRAlog10 NaiveCD8Tlog10 MemoryCD8Tlog10
  /PRINT=SPEARMAN TWOTAIL NOSIG
  /MISSING=LISTWISE.

***Two Step clustering procedure: ascending order 5-846****Random order of cases 4 times***finding the best cluster solution - determining cluster stability*** 
***remove CD4/CD8 ratio and total B cells from the analysis because of correlation >0.6, no leukocytes (highlt skewed data) 

TWOSTEP CLUSTER
  /CONTINUOUS VARIABLES=NaiveCD8Tlog10  MemoryCD8Tlog10  SenescentMemoryCD4SQR 
    MemoryCD4log10  SenesNaiveCD4log10  NKTcellslog10  NaiveBcellslog10  MemoryBcellslog10  
    ph1_NKcells_immuno  ph1_CD4Tcells_immuno  ph1_NaïveCD4_immuno  ph1_TotalCD8Tcells_immuno
  /DISTANCE LIKELIHOOD
  /NUMCLUSTERS AUTO 15 BIC
  /HANDLENOISE 0
  /MEMALLOCATE 64
  /CRITERIA INITHRESHOLD(0) MXBRANCH(8) MXLEVEL(3)
  /SAVE VARIABLE=cluster1.

***discending order 846-5***

TWOSTEP CLUSTER
  /CONTINUOUS VARIABLES=NaiveCD8Tlog10  MemoryCD8Tlog10  SenescentMemoryCD4SQR 
    MemoryCD4log10  SenesNaiveCD4log10  NKTcellslog10  NaiveBcellslog10  MemoryBcellslog10  
    ph1_NKcells_immuno  ph1_CD4Tcells_immuno  ph1_NaïveCD4_immuno  ph1_TotalCD8Tcells_immuno
  /DISTANCE LIKELIHOOD
  /NUMCLUSTERS AUTO 15 BIC
  /HANDLENOISE 0
  /MEMALLOCATE 64
  /CRITERIA INITHRESHOLD(0) MXBRANCH(8) MXLEVEL(3)
  /SAVE VARIABLE=cluster2.

***random1 order - ascending*** 

TWOSTEP CLUSTER
  /CONTINUOUS VARIABLES=NaiveCD8Tlog10  MemoryCD8Tlog10  SenescentMemoryCD4SQR 
    MemoryCD4log10  SenesNaiveCD4log10  NKTcellslog10  NaiveBcellslog10  MemoryBcellslog10  
    ph1_NKcells_immuno  ph1_CD4Tcells_immuno  ph1_NaïveCD4_immuno  ph1_TotalCD8Tcells_immuno
  /DISTANCE LIKELIHOOD
  /NUMCLUSTERS AUTO 15 BIC
  /HANDLENOISE 0
  /MEMALLOCATE 64
  /CRITERIA INITHRESHOLD(0) MXBRANCH(8) MXLEVEL(3)
  /SAVE VARIABLE=cluster3.

****analysis with 13 biomarkers, continuous, all standardized, normally distributed (4 were normal, 9 were transformed), BIC, Euclidean cluster distance***
**random1 ascending***2 clusters 

DATASET ACTIVATE DataSet1.
TWOSTEP CLUSTER
  /CONTINUOUS VARIABLES=ph1_NKcells_immuno ph1_CD4Tcells_immuno ph1_NaïveCD4_immuno 
    ph1_TotalCD8Tcells_immuno MemoryBcellslog10 NaiveBcellslog10 NKTcellslog10 SenesNaiveCD4log10 
    MemoryCD4log10 SenescentMemoryCD4SQR MemoryCD8Tlog10 NaiveCD8Tlog10 CD8TEMRAlog10
  /DISTANCE LIKELIHOOD
  /NUMCLUSTERS AUTO 15 BIC
  /HANDLENOISE 0
  /MEMALLOCATE 64
  /CRITERIA INITHRESHOLD(0) MXBRANCH(8) MXLEVEL(3)
  /VIEWMODEL DISPLAY=YES
  /SAVE VARIABLE=cluster_R1a.

***random1 discending***3 clusters 

DATASET ACTIVATE DataSet1.
TWOSTEP CLUSTER
  /CONTINUOUS VARIABLES=ph1_NKcells_immuno ph1_CD4Tcells_immuno ph1_NaïveCD4_immuno 
    ph1_TotalCD8Tcells_immuno MemoryBcellslog10 NaiveBcellslog10 NKTcellslog10 SenesNaiveCD4log10 
    MemoryCD4log10 SenescentMemoryCD4SQR MemoryCD8Tlog10 NaiveCD8Tlog10 CD8TEMRAlog10
  /DISTANCE LIKELIHOOD
  /NUMCLUSTERS AUTO 15 BIC
  /HANDLENOISE 0
  /MEMALLOCATE 64
  /CRITERIA INITHRESHOLD(0) MXBRANCH(8) MXLEVEL(3)
  /VIEWMODEL DISPLAY=YES
  /SAVE VARIABLE=cluster_R1b.

****random2 ascending****2 clusters 

DATASET ACTIVATE DataSet1.
TWOSTEP CLUSTER
  /CONTINUOUS VARIABLES=ph1_NKcells_immuno ph1_CD4Tcells_immuno ph1_NaïveCD4_immuno 
    ph1_TotalCD8Tcells_immuno MemoryBcellslog10 NaiveBcellslog10 NKTcellslog10 SenesNaiveCD4log10 
    MemoryCD4log10 SenescentMemoryCD4SQR MemoryCD8Tlog10 NaiveCD8Tlog10 CD8TEMRAlog10
  /DISTANCE LIKELIHOOD
  /NUMCLUSTERS AUTO 15 BIC
  /HANDLENOISE 0
  /MEMALLOCATE 64
  /CRITERIA INITHRESHOLD(0) MXBRANCH(8) MXLEVEL(3)
  /VIEWMODEL DISPLAY=YES
  /SAVE VARIABLE=cluster_R1c.

****FINAL CLUSTER SOLUTION****Figure 1. 

***random 2 discending***2 clusters 

DATASET ACTIVATE DataSet1.
TWOSTEP CLUSTER
  /CONTINUOUS VARIABLES=ph1_NKcells_immuno ph1_CD4Tcells_immuno ph1_NaïveCD4_immuno 
    ph1_TotalCD8Tcells_immuno MemoryBcellslog10 NaiveBcellslog10 NKTcellslog10 SenesNaiveCD4log10 
    MemoryCD4log10 SenescentMemoryCD4SQR MemoryCD8Tlog10 NaiveCD8Tlog10 CD8TEMRAlog10
  /DISTANCE LIKELIHOOD
  /NUMCLUSTERS AUTO 15 BIC
  /HANDLENOISE 0
  /MEMALLOCATE 64
  /CRITERIA INITHRESHOLD(0) MXBRANCH(8) MXLEVEL(3)
  /VIEWMODEL DISPLAY=YES
  /SAVE VARIABLE=cluster_R1d.

***Final cluster solution descriptives***for Table 1. 

CROSSTABS
  /TABLES=cmvstatus BY cluster_R1d
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COUNT ROW COLUMN TOTAL ASRESID 
  /COUNT ROUND CELL.

*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (CD4_CD8_ratio) GROUP (cluster_R1d) MANN_WHITNEY 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

***examine final 13 biomarkers in the clusters (ISPs)***Supplementary Table 2. 

DATASET ACTIVATE DataSet3.
EXAMINE VARIABLES=ph1_Leukocytes_immuno ph1_Bcells_immuno ph1_MemoryBcells_immuno 
    ph1_NaïveBcells_immuno ph1_NKcells_immuno ph1_NKTcells_immuno ph1_CD4Tcells_immuno 
    ph1_NaïveCD4_immuno ph1_SenesctNaïveCD4_immuno ph1_MemoryCD4_immuno ph1_SenescMemoryCD4_immuno 
    ph1_TotalCD8Tcells_immuno Memory_CD8_Tcells Naive_CD8_Tcells CD8_TEMRA
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING PAIRWISE
  /NOTOTAL.

***Descriptives: characteristics of ISPs****for Table 1. 

T-TEST GROUPS=cluster_R1d(1 2)
  /MISSING=ANALYSIS
  /VARIABLES=ph1_NKcells_immuno ph1_CD4Tcells_immuno ph1_NaïveCD4_immuno ph1_TotalCD8Tcells_immuno
  /CRITERIA=CI(.95).

*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (ph1_Leukocytes_immuno ph1_Bcells_immuno ph1_MemoryBcells_immuno 
    ph1_NaïveBcells_immuno ph1_NKTcells_immuno ph1_SenesctNaïveCD4_immuno ph1_MemoryCD4_immuno ph1_SenescMemoryCD4_immuno 
    Memory_CD8_Tcells Naive_CD8_Tcells CD8_TEMRA ph1_NKcells_immuno) GROUP (cluster_R1d) MANN_WHITNEY 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

CROSSTABS
  /TABLES=ph1_sex ph1_alcohol_now ph1_smoking_s ph1_nssec_3class ph1_GDS_4lev_wMMSE ph1_marital_3lev ph1_smmse_15cutoff BY 
    cluster_R1d
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COUNT ROW COLUMN ASRESID 
  /COUNT ROUND CELL.

*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (ph1_nssec_3class tertgds ph1_edu_3lev ph1_physact_3lev ph1_falls_3lev 
    diseases_cat ph1_BMI_4lev ph1_selfrated_health) GROUP (cluster_R1d) MANN_WHITNEY 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

NPAR TESTS
  /M-W= ph1_BMI_4lev ph1_edu_3lev ph1_falls_3lev ph1_nssec_3class ph1_physact_3lev 
    ph1_selfrated_health diseases_cat BY cluster_R1d(1 2)
  /MISSING ANALYSIS.

T-TEST GROUPS=cluster_R1d(1 2)
  /MISSING=ANALYSIS
  /VARIABLES=ph1_height diseasecount Ph1_fat_freemass Ph1_fat_mass1 ph1_weight
  /CRITERIA=CI(.95).

DATASET ACTIVATE DataSet2.
CROSSTABS
  /TABLES=cluster_R1d BY ph1_smoke_now ph1_alcohol_now ph1_smoking_s ph1_BMI_4lev tertgds 
    ph1_physact_3lev ph1_falls_3lev diseases_cat cmvstatus ph1_EWGSOP_sarc ph1_EWGSOP_sarc_sev 
    ph3_EWGSOP_sarc ph3_EWGSOP_sarc_sev ph1_smmse_cogstatus_2lev ph1_cogstatus_3lev_a
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COUNT ROW COLUMN TOTAL ASRESID 
  /COUNT ROUND CELL.

RECODE cluster_R1d (1=1) (2=1) (MISSING=0) INTO has_ISP.
VARIABLE LABELS  has_ISP 'has immunosenesent profile '.
EXECUTE.

EXAMINE VARIABLES=ph1_HSCRP_a_rvi ph1_IL_6_cyto ph1_ffmass_sexspec_cent ph1_height_cent_sexspec BY 
    cluster_R1d
  /PLOT BOXPLOT NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

T-TEST GROUPS=cluster_R1d(1 2)
  /MISSING=ANALYSIS
  /VARIABLES=ph1_IL_6_cyto ph1_HSCRP_a_rvi ph1_ffmass_sexspec_cent
  /CRITERIA=CI(.95).

*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (ph1_IL_6_cyto ph1_HSCRP_a_rvi ph1_ffmass_sexspec_cent) GROUP (cluster_R1d) 
    MANN_WHITNEY 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

DATASET ACTIVATE DataSet2.
CROSSTABS
  /TABLES=sarc1_E2a BY cluster_R1d
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COUNT ROW COLUMN TOTAL ASRESID 
  /COUNT ROUND CELL.

DATASET ACTIVATE DataSet1.
CROSSTABS
  /TABLES=sarc1_E2a sarc3_E2a incident_sarc sevsarc1_E2a sevsarc3_E2a BY cluster_R1d
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COUNT ROW COLUMN TOTAL ASRESID 
  /COUNT ROUND CELL.

****MULTIVARIABLE ANALYSES: linear mixed models and logistic regression*********for Tables 2 and 3; Supplementary Tables 4 and 5***

*****Final mixed models for Table 2 and Supplementary Table 4***

VARSTOCASES
  /MAKE GS_max FROM maxGS_ph1 maxGS_ph2 maxGS_ph3 maxGS_ph4 
  /KEEP=ALL
  /NULL=KEEP.

VARSTOCASES
  /MAKE TUG_s1 FROM ph1_TUG ph2_TUG ph3_TUG ph4_TUG
  /KEEP=ALL
  /NULL=KEEP. 

****MIXED MODELS: GS maximum FINAL models***Table 2. 

***Model 1***

MIXED GS_max WITH Time_yr  BY cluster_R1d 
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr cluster_R1d Time_yr*cluster_R1d | SSTYPE(3)
  /METHOD=REML
  /PRINT=G  SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN).

***Model 2***

  MIXED GS_max WITH Time_yr ph1_ffmass_sexspec_cent ph1_height_cent_sexspec BY cluster_R1d ph1_sex ph1_physact_3lev ph1_selfrated_health overall_attrition 
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr cluster_R1d Time_yr*cluster_R1d ph1_sex ph1_physact_3lev ph1_ffmass_sexspec_cent ph1_height_cent_sexspec ph1_selfrated_health overall_attrition | SSTYPE(3)
  /METHOD=REML
  /PRINT=G  SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN).

***Model 3***

  MIXED GS_max WITH Time_yr ph1_ffmass_sexspec_cent ph1_height_cent_sexspec BY cluster_R1d ph1_sex ph1_physact_3lev ph1_selfrated_health any_arthritis_hand overall_attrition 
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr cluster_R1d Time_yr*cluster_R1d ph1_sex ph1_physact_3lev ph1_ffmass_sexspec_cent ph1_height_cent_sexspec ph1_selfrated_health any_arthritis_hand overall_attrition | SSTYPE(3)
  /METHOD=REML
  /PRINT=G  SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN).

***sensitivity model: extra CMV (Model 4) not in the Table 2, but mentioned in text***

MIXED GS_max WITH Time_yr TimeTime_yr ph1_ffmass_sexspec_cent ph1_height_cent_sexspec BY cluster_R1d ph1_sex ph1_physact_3lev ph1_selfrated_health any_arthritis_hand overall_attrition cmvstatus
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr TimeTime_yr cluster_R1d Time_yr*cluster_R1d ph1_sex ph1_physact_3lev ph1_ffmass_sexspec_cent ph1_height_cent_sexspec ph1_selfrated_health any_arthritis_hand overall_attrition cmvstatus | SSTYPE(3)
  /METHOD=REML
  /PRINT=G  SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN). 

***sensitivity analysis - individual biomarkers***Supplementary Table 4. 
***GS models***unadjusted 

MIXED GS_max WITH Time_yr CD4_CD8_ratio 
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr Time_yr*CD4_CD8_ratio CD4_CD8_ratio | SSTYPE(3)
  /METHOD=REML
  /PRINT=G  SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN). 

 MIXED GS_max WITH Time_yr CD4_TEMRA 
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr CD4_TEMRA Time_yr* CD4_TEMRA | SSTYPE(3)
  /METHOD=REML
  /PRINT=G  SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN). 

MIXED GS_max WITH Time_yr CD8_TEMRA 
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr CD8_TEMRA Time_yr* CD8_TEMRA | SSTYPE(3)
  /METHOD=REML
  /PRINT=G  SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN). 

MIXED GS_max WITH Time_yr  BY cmvstatus
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr cmvstatus Time_yr*cmvstatus | SSTYPE(3)
  /METHOD=REML
  /PRINT=G  SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN). 

****TUG***

MIXED TUGlog10 WITH Time_yr TimeTime_yr CD4_CD8_ratio
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr Time_yr*CD4_CD8_ratio TimeTime_yr CD4_CD8_ratio | SSTYPE(3)
  /METHOD=REML
  /PRINT=G SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN).

MIXED TUGlog10 WITH Time_yr TimeTime_yr  BY cmvstatus
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr Time_yr*cmvstatus TimeTime_yr cmvstatus | SSTYPE(3)
  /METHOD=REML
  /PRINT=G SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN).

MIXED TUGlog10 WITH Time_yr TimeTime_yr CD4_TEMRA
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr Time_yr*CD4_TEMRA TimeTime_yr CD4_TEMRA | SSTYPE(3)
  /METHOD=REML
  /PRINT=G SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN).

  MIXED TUGlog10 WITH Time_yr TimeTime_yr CD8_TEMRA
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr Time_yr*CD8_TEMRA TimeTime_yr CD8_TEMRA | SSTYPE(3)
  /METHOD=REML
  /PRINT=G SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN).

***MIXED MODELS: TUG models***Table 2. 

***MODEL 1

MIXED TUGlog10 BY cluster_R1d WITH Time_yr TimeTime_yr  
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr cluster_R1d Time_yr*cluster_R1d TimeTime_yr | SSTYPE(3)
  /METHOD=REML
  /PRINT=G SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN).

***MODEL 2

MIXED TUGlog10 BY cluster_R1d ph1_sex ph1_physact_3lev1 ph1_selfrated_health ph1_smmse_cogstatus_2lev diseases_cat overall_attrition WITH Time_yr TimeTime_yr ph1_ffmass_sexspec_cent ph1_height_cent_sexspec
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr cluster_R1d Time_yr*cluster_R1d TimeTime_yr  
ph1_sex diseases_cat ph1_physact_3lev1 ph1_selfrated_health ph1_smmse_cogstatus_2lev overall_attrition ph1_ffmass_sexspec_cent ph1_height_cent_sexspec | SSTYPE(3)
  /METHOD=REML
  /PRINT=G SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN).

***MODEL 3

MIXED TUGlog10 BY cluster_R1d ph1_sex ph1_physact_3lev1 ph1_selfrated_health ph1_smmse_cogstatus_2lev TUG_waids diseases_cat overall_attrition WITH Time_yr TimeTime_yr ph1_ffmass_sexspec_cent ph1_height_cent_sexspec
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr cluster_R1d Time_yr*cluster_R1d TimeTime_yr  
ph1_sex diseases_cat ph1_physact_3lev1 ph1_selfrated_health ph1_smmse_cogstatus_2lev TUG_waids overall_attrition ph1_ffmass_sexspec_cent ph1_height_cent_sexspec | SSTYPE(3)
  /METHOD=REML
  /PRINT=G SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN).

***Further sensitivity analysis: add CMV seropositivityt***MODEL 4***not in the Table but mentioned  in the text***

MIXED TUGlog10 BY cluster_R1d ph1_sex ph1_physact_3lev1 ph1_selfrated_health ph1_smmse_cogstatus_2lev TUG_waids diseases_cat overall_attrition cmvstatus WITH Time_yr TimeTime_yr ph1_ffmass_sexspec_cent ph1_height_cent_sexspec
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr cluster_R1d Time_yr*cluster_R1d TimeTime_yr  
ph1_sex diseases_cat ph1_physact_3lev1 ph1_selfrated_health ph1_smmse_cogstatus_2lev TUG_waids overall_attrition cmvstatus ph1_ffmass_sexspec_cent ph1_height_cent_sexspec | SSTYPE(3)
  /METHOD=REML
  /PRINT=G SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN).

VARSTOCASES
  /MAKE GS_max FROM maxGS_ph1 maxGS_ph2 maxGS_ph3 maxGS_ph4 
  /KEEP=ALL
  /NULL=KEEP. 

***SARCOPENIA: for  Figure 2, and Table 3. 

****New EWGSOP2 sarcopenia definition****

***max GS across phases ph1-ph4 

COMPUTE maxGS_ph1 = MAX (Ph1_RH1,Ph1_LH1,Ph1_RH2,Ph1_LH2).
EXECUTE. 

COMPUTE maxGS_ph2 = MAX (ph2_RH1,ph2_LH1,ph2_RH2,ph2_LH2).
EXECUTE.

COMPUTE maxGS_ph3 = MAX (ph3_RH1,ph3_LH1,ph3_RH2,ph3_LH2).
EXECUTE.

COMPUTE maxGS_ph4 = MAX (ph4_RH1,ph4_LH1,ph4_RH2,ph4_LH2).
EXECUTE.

***ph1 and ph3 GS cut-off based on EWGSOP2 for pre-sarcopenia***

IF (ph1_sex = 0 & maxGS_ph1 <27.00) weakGS1 = 1.
IF (ph1_sex =0 & maxGS_ph1 >= 27.00) weakGS1 = 0.
IF (ph1_sex=1 & maxGS_ph1 <16.00) weakGS1 =1.
IF (ph1_sex=1 & maxGS_ph1 >=16.00) weakGS1 =0. 
VARIABLE LABELS weakGS1 'weakGS1 cut-off EWGSOP2'.
VALUE LABELS weakGS1 1 '<27.00kg (men) <16kg (women) weak GS1' 0 '>=27.00kg (men) >=16kg (women) strong GS1'. 
EXECUTE. 

IF (ph1_sex = 0 & maxGS_ph3 <27.00) weakGS3 = 1.
IF (ph1_sex =0 & maxGS_ph3 >= 27.00) weakGS3 = 0.
IF (ph1_sex=1 & maxGS_ph3 <16.00) weakGS3 =1.
IF (ph1_sex=1 & maxGS_ph3 >=16.00) weakGS3 =0. 
VARIABLE LABELS weakGS3 'weakGS3 cut-off EWGSOP2'.
VALUE LABELS weakGS3 1 '<27.00kg (men) <16kg (women) weak GS3' 0 '>=27.00kg (men) >=16kg (women) strong GS3'. 
EXECUTE. 

*** incident presarcopenia***

IF (presarcE2_baseline =0 & presarcE2_ph3 =1) incident_presarc = 1.
IF  (presarcE2_baseline =1 & presarcE2_ph3 =1) incident_presarc = 0.
IF  (presarcE2_baseline =0 & presarcE2_ph3 =0) incident_presarc = 0.
IF (presarcE2_baseline = 1 & presarcE2_ph3 =1) incident_presarc = 0. 
VARIABLE LABELS incident_presarc 'incident cases of presarcopenia E2'.
VALUE LABELS incident_presarc 1 'new presarc case' 0 'old case/same or converted to non-presarc'. 
EXECUTE.

***Jansen formula for skeletal muscle mass in kg***

DATASET ACTIVATE DataSet3.
COMPUTE SM1_Jansen_all=(ph1_height_cmq / ph1_wbb150 * 0.401) + (ph1_sex_r * 3.825) + (ph1_age * 
    (-0.071)) + 5.102 .
EXECUTE.

COMPUTE SM3_Jansen_all=(ph3_height_cmq / ph3_bbb08 * 0.401) + (ph1_sex_r * 3.825) + (ph1_age * 
    (-0.071)) + 5.102 .
VARIABLE LABELS  SM3_Jansen_all 'skeletal mass Jansen all ph3'.
EXECUTE.

COMPUTE SMI1_baseline=SM1_Jansen_all / ph1_height_mq.
VARIABLE LABELS  SMI1_baseline 'skeletal muscle index Jansen baseline'.
EXECUTE.

COMPUTE SMI3_ph3=SM3_Jansen_all / ph3_height_mq.
VARIABLE LABELS  SMI3_ph3 'skeletal muscle index Jansen ph3'.
EXECUTE.

***SMI cut-offs***

IF (ph1_sex = 0 & SMI1_baseline <8.87) lowSMI1 = 1.
IF (ph1_sex =0 & SMI1_baseline >= 8.87) lowSMI1 = 0.
IF (ph1_sex=1 & SMI1_baseline <6.67) lowSMI1 =1.
IF (ph1_sex=1 & SMI1_baseline >=6.67) lowSMI1=0. 
VARIABLE LABELS lowSMI1 'low SMI1 cut-off EWGSOP1/Dodds'.
VALUE LABELS lowSMI1 1 '<8.87kg/m2 (men) <6.67kg/m2 kg (women) low SMI1' 0 '>8.87.00kg/m2 (men) >=6.67kg/m2 (women) normal SMI1'. 
EXECUTE. 


IF (ph1_sex = 0 & SMI3_ph3 <8.87) lowSMI3 = 1.
IF (ph1_sex =0 & SMI3_ph3 >= 8.87) lowSMI3 = 0.
IF (ph1_sex=1 & SMI3_ph3 <6.67) lowSMI3 =1.
IF (ph1_sex=1 & SMI3_ph3 >=6.67) lowSMI3=0. 
VARIABLE LABELS lowSMI3 'low SMI3 cut-off EWGSOP1/Dodds'.
VALUE LABELS lowSMI3 1 '<8.87kg/m2 (men) <6.67kg/m2 kg (women) lowSMI3' 0 '>8.87.00kg/m2 (men) >=6.67kg/m2 (women) normal SMI3'. 
EXECUTE. 

***prevalent sarcopenia: low GS and Low SMI at baseline****and ph3 in 3 levels 

IF (lowSMI1 =1 & weakGS1=1) sarc1_E2 = 1.
IF (lowSMI1 = 0 & weakGS1 = 0) sarc1_E2 = 0.
IF (lowSMI1 = 0 & weakGS1 = 1) sarc1_E2 = 2.
IF (lowSMI1 = 1 & weakGS1 = 0) sarc1_E2 = 0.
VARIABLE LABELS sarc1_E2 'sarcopenia and presarcopenia EWGSOP2'.
VALUE LABELS sarc1_E2 0 'no sarcopenia; both normal or GS normal and SMI low' 1 'sarcopenia (low GS and Low SMI)' 2 'presarcopenia, low GS'. 
EXECUTE. 

IF (lowSMI3 =1 & weakGS3=1) sarc3_E2 = 1.
IF (lowSMI3 = 0 & weakGS3 = 0) sarc3_E2 = 0.
IF (lowSMI3 = 0 & weakGS3 = 1) sarc3_E2 = 2.
IF (lowSMI3 = 1 & weakGS3 = 0) sarc3_E2 = 0.
VARIABLE LABELS sarc3_E2 'sarcopenia and presarcopenia EWGSOP2 prevalence ph3'.
VALUE LABELS sarc3_E2 0 'no sarcopenia; both normal or GS normal and SMI low' 1 'sarcopenia (low GS and Low SMI)' 2 'presarcopenia, low GS'. 
EXECUTE. 

***two levels: sarc or no sarc***for those who have both GS and SMI values & prevalent sarcopenia (2 levels) at ph3  

IF (lowSMI3 =1 & weakGS3=1) sarc3_E2a = 1.
IF (lowSMI3 = 0 & weakGS3 = 0) sarc3_E2a = 0.
IF (lowSMI3 = 0 & weakGS3 = 1) sarc3_E2a = 0.
IF (lowSMI3 = 1 & weakGS3 = 0) sarc3_E2a = 0.
VARIABLE LABELS sarc3_E2a 'sarcopenia prevalence EWGSOP2a at ph3'.
VALUE LABELS sarc3_E2a 0 'no sarcopenia or presarc' 1 'sarcopenia'. 
EXECUTE. 

DATASET ACTIVATE DataSet1.
COMPUTE has_GS1_SMI1=SUM(has_GS1,has_SMI1).
VARIABLE LABELS  has_GS1_SMI1 'has GS1 and SMI1 value '.
EXECUTE.

COMPUTE has_GS3_SMI3=SUM(has_GS3,has_SMI3).
VARIABLE LABELS  has_GS3_SMI3 'has GS3 and SMI3 value '.
EXECUTE.

***slow TUG at baseline and ph3***

RECODE ph1_TUG (SYSMIS=SYSMIS) (5 thru 19.99=0) (20.00 thru 133=1) (ELSE=Copy) INTO slowTUG1.
VARIABLE LABELS  slowTUG1 'TUG1 cut-off'.
EXECUTE.

RECODE ph3_TUG (SYSMIS=SYSMIS) (4 thru 19.99=0) (20.00 thru 204.99=1) (ELSE=Copy) INTO slowTUG3.
VARIABLE LABELS  slowTUG3 'TUG3 cut-off'.
EXECUTE.

***severe sarcopenia***3 levels for baseline and ph3 

IF (sarc1_E2a =1 & slowTUG1 = 1) sevsarc1_E2 = 1.
IF (sarc1_E2a =0 & slowTUG1 = 0) sevsarc1_E2 = 0.
IF (sarc1_E2a =1 & slowTUG1 = 0) sevsarc1_E2 = 2.
IF (sarc1_E2a =0 & slowTUG1 = 1 ) sevsarc1_E2 = 0.
VARIABLE LABELS sevsarc1_E2 'severe sarcopenia EWGSOP2 in 3lev'.
VALUE LABELS sevsarc1_E2 0 'no saccopenia/severe sarcopenia; may be slow' 1 'severe sarcopenia' 2'sarcopenia but no severe'. 
EXECUTE. 

IF (sarc3_E2a =1 & slowTUG3 = 1) sevsarc3_E2 = 1.
IF (sarc3_E2a =0 & slowTUG3 = 0) sevsarc3_E2 = 0.
IF (sarc3_E2a =1 & slowTUG3 = 0) sevsarc3_E2 = 2.
IF (sarc3_E2a =0 & slowTUG3 = 1 ) sevsarc3_E2 = 0.
VARIABLE LABELS sevsarc3_E2 'severe sarcopenia ph3 EWGSOP2 in 3lev'.
VALUE LABELS sevsarc3_E2 0 'no saccopenia/severe sarcopenia; may be slow' 1 'severe sarcopenia' 2'sarcopenia but no severe'. 
EXECUTE. 

***severe sarcopenia 2 levels*** for baseline and ph3 

RECODE sevsarc1_E2 (SYSMIS=Copy) (MISSING=Copy) (0=0) (2=0) (1=1) INTO sevsarc1_E2a.
VARIABLE LABELS  sevsarc1_E2a 'severe sarcopenia 2 levels '.
EXECUTE.

RECODE sevsarc3_E2 (SYSMIS=Copy) (MISSING=Copy) (0=0) (2=0) (1=1) INTO sevsarc3_E2a.
VARIABLE LABELS  sevsarc3_E2a 'severe sarcopenia at ph3 in 2 levels '.
EXECUTE.

***have all three values (GS, TUG and SMI) at baseline and ph3 follow-up to determine the severity of sarcopenia***

COMPUTE has_GS1_SMI1_TUG1=SUM(has_GS1_SMI1,has_TUG1).
VARIABLE LABELS  has_GS1_SMI1_TUG1 'has GS1, SMI1 and TUG1 value '.
EXECUTE.

DATASET ACTIVATE DataSet1.
COMPUTE has_GS3_SMI3_TUG3=SUM(has_GS3_SMI3,has_TU3).
VARIABLE LABELS  has_GS3_SMI3_TUG3 'has GS3, SMI3, and TUG3'.
EXECUTE.

***incident sarcopenia baseline to ph3****

IF (sarc1_E2a =0 & sarc3_E2a =1) incident_sarc = 1. 
IF  (sarc1_E2a =1 & sarc3_E2a =0) incident_sarc = 0. 
IF  (sarc1_E2a =0 &  sarc3_E2a =0) incident_sarc = 0. 
IF (sarc1_E2a =1 &  sarc3_E2a =1) incident_sarc = 0. 
VARIABLE LABELS incident_sarc 'incident cases of sarcopenia E2'.
VALUE LABELS incident_sarc 1 'new sarc case' 0 'old case/same or converted to non-sarc'. 
EXECUTE.

***incident cases in 4 levels***

IF (sarc1_E2a =0 & sarc3_E2a =1) incident4_sarc = 1. 
IF  (sarc1_E2a =1 & sarc3_E2a =0) incident4_sarc = 2. 
IF  (sarc1_E2a =0 &  sarc3_E2a =0) incident4_sarc = 0. 
IF (sarc1_E2a =1 &  sarc3_E2a =1) incident4_sarc = 3. 
VARIABLE LABELS incident4_sarc 'transition and incident cases of sarcopenia E2'.
VALUE LABELS incident4_sarc 1 'new sarc case' 0 'no sarcopenia at both measurements' 2 'converted from sarc to non-sarc' 3 'stayed sarc, old case'. 
EXECUTE.

***how many cases available to determine incident sarcopenia***

RECODE sarc3_E2a (0=1) (1=1) (SYSMIS=0) (MISSING=0) INTO has_sarc3E2a.
VARIABLE LABELS  has_sarc3E2a 'has sarc3E2 status'.
EXECUTE.

RECODE sarc1_E2a (0=1) (1=1) (SYSMIS=0) (MISSING=0) INTO has_sarc1E2a.
VARIABLE LABELS  has_sarc1E2a 'has sarc 1 E2a data '.
EXECUTE.

COMPUTE has_sarc1_sarc3=SUM(has_sarc1E2a,has_sarc3E2a).
VARIABLE LABELS  has_sarc1_sarc3 'has data for sarc1 and sarc3'.
EXECUTE.

RECODE incident4_sarc (0=1) (1=1) (SYSMIS=0) (MISSING=0) (2=0) (3=0) INTO potential_case.
VARIABLE LABELS  potential_case 'potential incident case with data '.
EXECUTE.

* Date and Time Wizard: duration_years_ph1_ph3.
COMPUTE  duration_years_ph1_ph3=DATEDIF(StartDate_ph3_a, start_date_ph1_a, "years").
VARIABLE LABELS  duration_years_ph1_ph3 "time in years from baseline to ph3".
VARIABLE LEVEL  duration_years_ph1_ph3 (SCALE).
FORMATS  duration_years_ph1_ph3 (F5.0).
VARIABLE WIDTH  duration_years_ph1_ph3(5).
EXECUTE.

***LOGISTIC REGRESSION: ISPs and sarcopenia (prevalent and incident) for Table 3. 

***Model 1: unadjusted 

DATASET ACTIVATE DataSet1.
CROSSTABS
  /TABLES=sarc1_E2a BY cluster_R1d
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COUNT ROW COLUMN TOTAL ASRESID 
  /COUNT ROUND CELL.

LOGISTIC REGRESSION VARIABLES incident_sarc
  /METHOD=ENTER cluster_R1d 
  /CONTRAST (cluster_R1d)=Indicator
   /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).

***Model 2: adjusted (prevalent sarc baseline) 

LOGISTIC REGRESSION VARIABLES sarc1_E2a
  /METHOD=ENTER cluster_R1d ph1_BMI_3lev ph1_edu_3lev ph1_nssec_3class ph1_smmse_cogstatus_2lev 
  /CONTRAST (ph1_BMI_3lev)=Indicator(1)
  /CONTRAST (ph1_edu_3lev)=Indicator(1)
  /CONTRAST (ph1_smmse_cogstatus_2lev)=Indicator
  /CONTRAST (cluster_R1d)=Indicator
 /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).

***Sensitivity model: additionally adjusted for cmv status 

LOGISTIC REGRESSION VARIABLES sarc1_E2a
  /METHOD=ENTER cluster_R1d ph1_BMI_3lev ph1_edu_3lev ph1_nssec_3class ph1_smmse_cogstatus_2lev cmvstatus
  /CONTRAST (ph1_BMI_3lev)=Indicator(1)
  /CONTRAST (ph1_edu_3lev)=Indicator(1)
  /CONTRAST (ph1_smmse_cogstatus_2lev)=Indicator
  /CONTRAST (cluster_R1d)=Indicator
 /CONTRAST (cmvstatus)=INDICATOR
 /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).

***Models 2 (fully adjusted) for prevalent sarcopenia at wave 3, and incident sarcopenia at wave 3

**prevalent sarc at ph3***

LOGISTIC REGRESSION VARIABLES sarc3_E2a
  /METHOD=ENTER cluster_R1d ph1_BMI_3lev ph1_edu_3lev ph1_nssec_3class ph1_smmse_cogstatus_2lev 
  /CONTRAST (ph1_BMI_3lev)=Indicator(1)
  /CONTRAST (ph1_edu_3lev)=Indicator(1)
  /CONTRAST (ph1_smmse_cogstatus_2lev)=Indicator
  /CONTRAST (cluster_R1d)=Indicator
 /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).

***incident sarc ph3***

LOGISTIC REGRESSION VARIABLES incident_sarc
  /METHOD=ENTER cluster_R1d ph1_BMI_3lev ph1_edu_3lev ph1_nssec_3class ph1_smmse_cogstatus_2lev 
  /CONTRAST (ph1_BMI_3lev)=Indicator(1)
  /CONTRAST (ph1_edu_3lev)=Indicator(1)
  /CONTRAST (ph1_smmse_cogstatus_2lev)=Indicator
  /CONTRAST (cluster_R1d)=Indicator
 /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).

***severe srac***prevalent baseline and wave 3

LOGISTIC REGRESSION VARIABLES sevsarc1_E2a
  /METHOD=ENTER cluster_R1d ph1_BMI_3lev ph1_edu_3lev ph1_nssec_3class ph1_smmse_cogstatus_2lev 
  /CONTRAST (ph1_BMI_3lev)=Indicator(1)
  /CONTRAST (ph1_edu_3lev)=Indicator(1)
  /CONTRAST (ph1_smmse_cogstatus_2lev)=Indicator
  /CONTRAST (cluster_R1d)=Indicator
 /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).

LOGISTIC REGRESSION VARIABLES sevsarc3_E2a
  /METHOD=ENTER cluster_R1d ph1_BMI_3lev ph1_edu_3lev ph1_nssec_3class ph1_smmse_cogstatus_2lev 
  /CONTRAST (ph1_BMI_3lev)=Indicator(1)
  /CONTRAST (ph1_edu_3lev)=Indicator(1)
  /CONTRAST (ph1_smmse_cogstatus_2lev)=Indicator
  /CONTRAST (cluster_R1d)=Indicator
 /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).

***Supplementary analyses: probable sarcopenia prevalence and incidence****(not in the paper) 

LOGISTIC REGRESSION VARIABLES presarcE2_baseline
  /METHOD=ENTER cluster_R1d ph1_BMI_3lev ph1_edu_3lev ph1_nssec_3class ph1_smmse_cogstatus_2lev 
  /CONTRAST (ph1_BMI_3lev)=Indicator(1)
  /CONTRAST (ph1_edu_3lev)=Indicator(1)
  /CONTRAST (ph1_smmse_cogstatus_2lev)=Indicator
  /CONTRAST (cluster_R1d)=Indicator
 /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).


LOGISTIC REGRESSION VARIABLES presarcE2_ph3
  /METHOD=ENTER cluster_R1d ph1_BMI_3lev ph1_edu_3lev ph1_nssec_3class ph1_smmse_cogstatus_2lev 
  /CONTRAST (ph1_BMI_3lev)=Indicator(1)
  /CONTRAST (ph1_edu_3lev)=Indicator(1)
  /CONTRAST (ph1_smmse_cogstatus_2lev)=Indicator
  /CONTRAST (cluster_R1d)=Indicator
 /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).

LOGISTIC REGRESSION VARIABLES incident_presarc
  /METHOD=ENTER cluster_R1d ph1_BMI_3lev ph1_edu_3lev ph1_nssec_3class ph1_smmse_cogstatus_2lev 
  /CONTRAST (ph1_BMI_3lev)=Indicator(1)
  /CONTRAST (ph1_edu_3lev)=Indicator(1)
  /CONTRAST (ph1_smmse_cogstatus_2lev)=Indicator
  /CONTRAST (cluster_R1d)=Indicator
 /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).

***Sensitivity avalyses: individual biomarkers and sarcopenia***Supplementary Table 5. 

***prevalent sarcopenia at baseline E2*** 

LOGISTIC REGRESSION VARIABLES sarc1_E2a 
  /METHOD=ENTER ph1_SenescMemoryCD4_immuno
 /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).

LOGISTIC REGRESSION VARIABLES sarc1_E2a 
  /METHOD=ENTER CD4_CD8_ratio
 /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).

LOGISTIC REGRESSION VARIABLES sarc1_E2a
  /METHOD=ENTER cmvstatus
 /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).

LOGISTIC REGRESSION VARIABLES sarc1_E2a
  /METHOD=ENTER CD8_TEMRA
 /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).

LOGISTIC REGRESSION VARIABLES sarc1_E2a
  /METHOD=ENTER CD4_CD8_cutoff
 /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).

***prevalent sarcopenia at wave 3***

LOGISTIC REGRESSION VARIABLES sarc3_E2a 
  /METHOD=ENTER ph1_SenescMemoryCD4_immuno
 /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).

LOGISTIC REGRESSION VARIABLES sarc3_E2a 
  /METHOD=ENTER CD4_CD8_ratio
 /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).

LOGISTIC REGRESSION VARIABLES sarc3_E2a
  /METHOD=ENTER cmvstatus
 /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).

LOGISTIC REGRESSION VARIABLES sarc3_E2a
  /METHOD=ENTER CD8_TEMRA
 /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).

***incident sarcopenia***

LOGISTIC REGRESSION VARIABLES incident_sarc 
  /METHOD=ENTER ph1_SenescMemoryCD4_immuno
 /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).

LOGISTIC REGRESSION VARIABLES incident_sarc 
  /METHOD=ENTER CD4_CD8_ratio
 /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).

LOGISTIC REGRESSION VARIABLES incident_sarc
  /METHOD=ENTER cmvstatus
 /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).

LOGISTIC REGRESSION VARIABLES incident_sarc
  /METHOD=ENTER CD8_TEMRA
 /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).

******************************************************************************************************

***ADDITIONAL ANALYSES not in the paper*****

***GS and Clusters for immnunosenescence***

T-TEST GROUPS=cluster_R1d(1 2)
  /MISSING=ANALYSIS
  /VARIABLES=ph1_HG4mean
  /CRITERIA=CI(.95).

T-TEST GROUPS=cluster_R1d(1 2)
  /MISSING=ANALYSIS
  /VARIABLES=ph2_HG4mean ph3_HG4mean ph4_HG4mean
  /CRITERIA=CI(.95).

*****MIXED MODELS for mean GS and log10 transformed TUG***Extra analyses ( not in the paper) for model building strategy 

****adjusted for Clusters******

MIXED HG4mean WITH Time_yr TimeTime_yr BY cluster_R1d 
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr TimeTime_yr cluster_R1d | SSTYPE(3)
  /METHOD=REML
  /PRINT=G  SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN).

MIXED TUGlog10 WITH Time_yr TimeTime_yr BY cluster_R1d 
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr TimeTime_yr cluster_R1d | SSTYPE(3)
  /METHOD=REML
  /PRINT=G  SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN).

***GS***

MIXED HG4mean WITH Time_yr TimeTime_yr BY cluster_R1d ph1_sex ph1_physact_3lev
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr TimeTime_yr cluster_R1d ph1_sex ph1_physact_3lev | SSTYPE(3)
  /METHOD=REML
  /PRINT=G  SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN).

MIXED HG4mean WITH Time_yr TimeTime_yr ph1_ffmass_sexspec_cent  BY cluster_R1d ph1_sex ph1_physact_3lev
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr TimeTime_yr cluster_R1d ph1_sex ph1_physact_3lev ph1_ffmass_sexspec_cent | SSTYPE(3)
  /METHOD=REML
  /PRINT=G  SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN).

MIXED HG4mean WITH Time_yr TimeTime_yr ph1_ffmass_sexspec_cent  BY cluster_R1d ph1_sex ph1_physact_3lev
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr TimeTime_yr cluster_R1d Time_yr*cluster_R1d ph1_sex ph1_physact_3lev ph1_ffmass_sexspec_cent | SSTYPE(3)
  /METHOD=REML
  /PRINT=G  SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN).

***TUG***

MIXED TUGlog10 WITH Time_yr TimeTime_yr BY cluster_R1d ph1_sex ph1_physact_3lev
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr TimeTime_yr  cluster_R1d ph1_sex ph1_physact_3lev | SSTYPE(3)
  /METHOD=REML
  /PRINT=G  SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN).

MIXED TUGlog10 WITH Time_yr TimeTime_yr ph1_ffmass_sexspec_cent  BY cluster_R1d ph1_sex ph1_physact_3lev
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr TimeTime_yr cluster_R1d ph1_sex ph1_physact_3lev  ph1_ffmass_sexspec_cent  | SSTYPE(3)
  /METHOD=REML
  /PRINT=G  SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN).

MIXED TUGlog10 WITH Time_yr TimeTime_yr ph1_ffmass_sexspec_cent  BY cluster_R1d ph1_sex ph1_physact_3lev
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr TimeTime_yr Time_yr*cluster_R1d cluster_R1d ph1_sex ph1_physact_3lev  ph1_ffmass_sexspec_cent  | SSTYPE(3)
  /METHOD=REML
  /PRINT=G  SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN).

MIXED TUGlog10 WITH Time_yr TimeTime_yr ph1_ffmass_sexspec_cent  BY cluster_R1d ph1_sex ph1_physact_3lev cmvstatus
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr TimeTime_yr Time_yr*cluster_R1d cluster_R1d ph1_sex ph1_physact_3lev  ph1_ffmass_sexspec_cent cmvstatus | SSTYPE(3)
  /METHOD=REML
  /PRINT=G  SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN).

