﻿* Encoding: UTF-8.
***Granic et al 2020 Immunosenescence profiles are not associated with muscle strength, physical performance and sarcopenia risk in very old adults: The Newcastle 85+ Study
***Mechanisms of Ageing and Development (MAD-D-20-00089R1) 

***Major revision 10-06-2020***

***generate new Model 1 (unadjuested (time-only) for grip strength and TUG) to be included in Table 2

***Grip strength 

***Model 1 

MIXED GS_max WITH Time_yr   
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr | SSTYPE(3)
  /METHOD=REML
  /PRINT=G  SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN).

***TUG 

***Model 1 (unadjusted) 

MIXED TUGlog10 WITH Time_yr TimeTime_yr  
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr TimeTime_yr | SSTYPE(3)
  /METHOD=REML
  /PRINT=G SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN).

***Sensitivity analyses with physical activity as time-varying covariate****

***Grip strength 
***fully adjusted model****

  MIXED GS_max WITH Time_yr ph1_ffmass_sexspec_cent ph1_height_cent_sexspec BY cluster_R1d ph1_sex PA_cat1 ph1_selfrated_health any_arthritis_hand overall_attrition 
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr cluster_R1d Time_yr*cluster_R1d ph1_sex PA_cat1 ph1_ffmass_sexspec_cent ph1_height_cent_sexspec ph1_selfrated_health any_arthritis_hand overall_attrition | SSTYPE(3)
  /METHOD=REML
  /PRINT=G  SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN).

***TUG
***fully adjusted model

MIXED TUGlog10 BY cluster_R1d ph1_sex PA_cat1 ph1_selfrated_health ph1_smmse_cogstatus_2lev TUG_waids diseases_cat overall_attrition WITH Time_yr TimeTime_yr ph1_ffmass_sexspec_cent ph1_height_cent_sexspec
  /CRITERIA=CIN(95) MXITER(100) MXSTEP(10) SCORING(1) SINGULAR(0.000000000001) HCONVERGE(0, 
    ABSOLUTE) LCONVERGE(0, ABSOLUTE) PCONVERGE(0.000001, ABSOLUTE)
  /FIXED=Time_yr cluster_R1d Time_yr*cluster_R1d TimeTime_yr  
ph1_sex diseases_cat PA_cat1 ph1_selfrated_health ph1_smmse_cogstatus_2lev TUG_waids overall_attrition ph1_ffmass_sexspec_cent ph1_height_cent_sexspec | SSTYPE(3)
  /METHOD=REML
  /PRINT=G SOLUTION TESTCOV
  /RANDOM=INTERCEPT Time_yr | SUBJECT(id) COVTYPE(UN).

***Additional data for Table 1 (all) 

DATASET ACTIVATE DataSet2.
FREQUENCIES VARIABLES=ph1_sex sarc1_E2a sarc3_E2a incident_sarc sevsarc1_E2a sevsarc3_E2a any_arthritis_hand overall_attrition ph1_TUG_aid 
  /ORDER=ANALYSIS.

EXAMINE VARIABLES=maxGS_ph1 maxGS_ph3 SMI1_baseline SMI3_ph3 BY ph1_sex
  /PLOT BOXPLOT NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING PAIRWISE
  /NOTOTAL.

T-TEST GROUPS=ph1_sex(0 1)
  /MISSING=ANALYSIS
  /VARIABLES=maxGS_ph1 maxGS_ph3
  /CRITERIA=CI(.95).

***Comapring those with and without immunosenescence profiles***n=657 (has) and n=188 (has not) 

CROSSTABS
  /TABLES=sarc1_E2a sarc3_E2a incident_sarc sevsarc1_E2a sarc3_E2 sevsarc3_E2a ph1_BMI_3lev 
    cmvstatus ph1_sex ph1_nssec_3class ph1_edu_3lev ph1_physact_3lev BY has_ISP
  /FORMAT=AVALUE TABLES
  /CELLS=COUNT
  /COUNT ROUND CELL.


DATASET ACTIVATE DataSet1.
CROSSTABS
  /TABLES=ph1_marital ph1_smmse_cogstatus_2lev diseases_cat ph1_TUG_aid overall_attrition 
    any_arthritis_hand attrition_ph1_3 BY has_ISP
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COUNT ROW COLUMN TOTAL ASRESID 
  /COUNT ROUND CELL.

***Mechanisms of Ageing and Development (acceptance date: 25-07-2020) 
